Bug 58297

Summary: [GTK] PluginPackage should check whether a plugin mixes GTK+ 2 and 3 symbols itself
Product: WebKit Reporter: Gustavo Noronha (kov) <gns>
Component: Plug-insAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, mrobinson, otte, xan.lopez
Priority: P2 Keywords: Gtk
Version: 528+ (Nightly build)   
Hardware: PC   
OS: Linux   
Attachments:
Description Flags
Patch none

Description Gustavo Noronha (kov) 2011-04-11 20:42:19 PDT
Currently we have code in GtkLauncher and Epiphany to disable Flash. But flash is not the only plugin using GTK+ 2 symbols, and users may actually be using something like nspluginwrapper that shields the main browser process from the plugin. The opposite situation will eventually happen as well: WebKitGTK+ built with GTK+ 2 will encounter plugins using GTK+ 3. So we should be smarter and only disable plugins when we detect they use symbols from a different GTK+ version on them.
Comment 1 Gustavo Noronha (kov) 2011-04-11 20:49:50 PDT
Created attachment 89153 [details]
Patch
Comment 2 Gustavo Noronha (kov) 2011-04-11 20:53:11 PDT
FWIW, it correctly ignores flash and java, and correctly loads flash through nspluginwrapper on my system =).
Comment 3 Martin Robinson 2011-04-12 17:26:08 PDT
Comment on attachment 89153 [details]
Patch

Excellent.
Comment 4 WebKit Commit Bot 2011-04-13 07:05:53 PDT
Comment on attachment 89153 [details]
Patch

Clearing flags on attachment: 89153

Committed r83728: <http://trac.webkit.org/changeset/83728>
Comment 5 WebKit Commit Bot 2011-04-13 07:05:59 PDT
All reviewed patches have been landed.  Closing bug.